
Infrastructure - Story #3910

Modify Synchronization to apply more validation Logic

2013-08-12 16:46 - Robert Waltz

Status: Closed Start date: 2012-07-12

Priority: Urgent Due date: 2014-12-15

Assignee: Skye Roseboom % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Story Points:    

Description

check the objectList Identifier pid against the systemMetadata Identifer pid.

Also perform a serialization of the systemmetadata and perform a schema validity check before create/update ops.

Subtasks:

Task # 3062: Synchronization should not change  the Authoritative member node property ... Closed

Task # 3911: Check the objectList Identifier pid against the systemMetadata Identifer pid Closed

Task # 3912:  Validate systemmetadata against the schema Closed

Task # 3972: Validate DataONE Resource Map Objects Closed

Task # 5995: Verify checksum in system metadata matches document checksum before synchr... Closed

Task # 5318: CNs must not accept invalid system metadata Rejected

History

#1 - 2013-10-28 20:32 - Robert Waltz

- Product Version set to 1.2.1

- Milestone changed from CCI-1.3 to CCI-1.2

- Target version changed from 2013.35-Block.5.1 to 2013.44-Block.6.1

- Due date changed from 2013-09-07 to 2013-11-09

#2 - 2013-10-30 00:56 - Robert Waltz

- Due date changed from 2013-11-09 to 2013-11-23

- Target version changed from 2013.44-Block.6.1 to 2013.46-Block.6.2

#3 - 2014-01-06 18:44 - Dave Vieglais

- Start date deleted (2012-07-12)

- Due date deleted (2013-11-23)

- Target version deleted (2013.46-Block.6.2)

#4 - 2014-01-06 22:29 - Robert Waltz

- Milestone changed from CCI-1.2 to CCI-1.4

#5 - 2014-07-25 20:23 - Robert Waltz

- Status changed from New to In Progress

- Product Version changed from 1.2.1 to 1.4.0

#6 - 2014-07-31 19:58 - Robert Waltz

- Start date set to 2014-07-20

- Due date set to 2014-08-02

- Assignee changed from Robert Waltz to Skye Roseboom

- Target version set to 2014.30-Block.4.3
#7 - 2014-08-26 21:16 - Skye Roseboom

- Estimated time set to 0.00

- Tracker changed from Story to Task

#8 - 2014-09-02 18:21 - Skye Roseboom

- Tracker changed from Task to Story

#9 - 2014-09-02 18:21 - Skye Roseboom

- Due date changed from 2014-08-02 to 2014-09-02

- Target version changed from 2014.30-Block.4.3 to Release Backlog

#10 - 2014-09-04 02:03 - Robert Waltz

- Due date changed from 2014-09-02 to 2014-09-04

- Product Version changed from 1.4.0 to *

#11 - 2014-09-24 14:43 - Skye Roseboom

- Due date changed from 2014-09-04 to 2014-09-24

#12 - 2014-09-24 18:09 - Robert Waltz

- Target version changed from Release Backlog to CCI-1.4.1

#13 - 2014-09-24 18:31 - Robert Waltz

- Target version changed from CCI-1.4.1 to CCI-1.4.2

#14 - 2014-10-02 19:29 - Robert Waltz

- Target version changed from CCI-1.4.2 to CCI-1.5.0

- Due date changed from 2014-09-24 to 2014-10-02

#15 - 2014-10-07 17:29 - Skye Roseboom

- Milestone changed from CCI-1.4 to None

#16 - 2014-11-10 18:17 - Skye Roseboom

- Due date changed from 2014-10-31 to 2014-11-10

- Status changed from In Progress to Testing

#17 - 2014-12-15 20:06 - Skye Roseboom

- Status changed from Testing to Closed
